﻿//セグメントの角度を求める

if(documents.length >0){
    
    selObj = activeDocument.selection;

    if( selObj.length != 1 || selObj[0].typename != "PathItem"){
    alert ("1本のパスを選択してください。");
    }

    else{
        
            selPathPoints = selObj[0].pathPoints.length;
    
             pointCount = 0;
             var anchorPointX = new Array();
             var anchorPointY = new Array();
             
            if( selPathPoints == 2){
                
                    anchorPointX[0] = selObj[0].pathPoints[0].anchor[0];
                    anchorPointY[0] = selObj[0].pathPoints[0].anchor[1];
                    anchorPointX[1] = selObj[0].pathPoints[1].anchor[0];
                    anchorPointY[1] = selObj[0].pathPoints[1].anchor[1];
                    pointCount = 2;
                    }
                
            else{
                        
                        
            for( j=0; j<selPathPoints; j++){
            
                selPoint = selObj[0].pathPoints[j].selected;
            
                    if( selPoint == PathPointSelection.LEFTDIRECTION ){
                        pointCount ++;
                        anchorPointX[0] = selObj[0].pathPoints[j].anchor[0];
                        anchorPointY[0] = selObj[0].pathPoints[j].anchor[1];
                       }
                        
                    if( selPoint == PathPointSelection.RIGHTDIRECTION ){
                        pointCount ++;
                        anchorPointX[1] = selObj[0].pathPoints[j].anchor[0];
                        anchorPointY[1] = selObj[0].pathPoints[j].anchor[1];
                       }
                    
                    if( selPoint == PathPointSelection.ANCHORPOINT ){
                        pointCount = pointCount + 3;
                        }
                }
            }
        
            
           if(pointCount != 2) {
               alert ("角度を求めたいセグメントを選択してください。"); 
               }
           
               else{
				alert (path_angle(anchorPointX[0] , anchorPointY[0] , anchorPointX[1] , anchorPointY[1] ));
			}
	}
}



function path_angle(x1,y1,x2,y2){
    var pathAngle;
    
    if(x1 != x2){
        pathAngle= Math.atan((y2-y1)/(x2-x1))*57.29578;
        pathAngle = Math.round(pathAngle*1000)/1000;
      }
    else {
        pathAngle = 90;
        }
    return pathAngle;
    }